#
# spec file for package gnome-icon-theme-symbolic
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-icon-theme-symbolic
Version:        3.12.0
Release:        3.22
# FIXME: when we have icon-naming-utils > 0.8.90, we will have icontool-render, so check if something has to be changed.
Summary:        Symbolic icon theme for GNOME
License:        CC-BY-SA-3.0
Group:          System/X11/Icons
Url:            http://www.gnome.org/
Source:         http://download.gnome.org/sources/gnome-icon-theme-symbolic/3.12/%{name}-%{version}.tar.xz
BuildRequires:  gnome-icon-theme
# This is just for gtk-update-icon-cache
BuildRequires:  gtk3-tools
BuildRequires:  hicolor-icon-theme
BuildRequires:  icon-naming-utils >= 0.8.7
# The icon-naming-utils we have doesn't have icontool-render yet,
# so inkscape is not needed either
#BuildRequires:  inkscape
BuildRequires:  pkg-config
Requires:       gnome-icon-theme
Supplements:    gnome-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The purpose of this icon theme is to extend the base icon theme that
follows the Tango style guidelines for specific purposes. This would
include OSD messages, panel system/notification area, and possibly
menu icons.

Icons follow the naming specification, but have a -symbolic suffix, so
only applications specifically looking up these symbolic icons will
render them. If a -symbolic icon is missing, the app will fall back to
the regular name.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%clean
rm -rf %{buildroot}

%post
%icon_theme_cache_post gnome

%postun
%icon_theme_cache_postun gnome

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_datadir}/icons/gnome/scalable/*/*-symbolic.svg
%{_datadir}/pkgconfig/gnome-icon-theme-symbolic.pc

%changelog
* Tue Mar 25 2014 dimstar@opensuse.org
- Update to version 3.12.0:
  + Stable release, no changes since 3.11.92.
* Thu Mar 20 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Fix exported wifi and volume icons.
  + Fix epoxrted goa-panel.
  + Inode-directory mimetype icon.
  + Network offline status icons (bgo#726321).
  + Larger a/c icon (bgo#701031).
* Fri Feb 28 2014 dimstar@opensuse.org
- Update to version 3.11.91:
  + Fix export issues of audio-input-microphone (bgo#724670).
  + media-view-subtitles (bgo#722198).
* Thu Feb  6 2014 dimstar@opensuse.org
- Update to version 3.11.5:
  + Refined ethernet/wired icons.
  + Missing device states for wired and cellular.
  + Outlines for some icons causing alpha compositing issues.
* Tue Nov 19 2013 dimstar@opensuse.org
- Update to version 3.11.2:
  + network-wireless.
  + action-unavailable fixes.
  + grid alignment.
  + avatar less blocky.
  + new computer icons.
  + places more consistent.
  + updated network status icons.
* Mon Oct 14 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + New content-loading icon.
* Tue Sep 24 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Center process-stop icon.
* Tue Sep  3 2013 zaitor@opensuse.org
- Update to version 3.9.91:
  + Airplane mode improvements.
  + Rtl version of many arrow based icons.
* Wed Jul 31 2013 dimstar@opensuse.org
- Update to version 3.9.5:
  + Minor tweaks to user-trash.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 3.8.3:
  + Add audio-speakers.
  + Add a new playback order type: consecutive.
  + Add airplane mode.
  + vpn: vertically align with network-wireless-acquiring.
* Tue May 14 2013 dimstar@opensuse.org
- Update to version 3.8.2.2:
  + Unbreak shell's heaphone status.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 3.8.2.1:
  + Fix missing .pc.in again.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 3.8.2:
  + Sync with gnome-icon-theme for notifications.
  + Make status icons more legible (bgo#698700).
  + Muted (bgo#698700).
  + Window control icons (bgo#697930).
  + Screen rotation status (bgo#698257).
  + Headset vs headphones icon.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0.1:
  + Fix the broken tarball (bgo#696634).
- Drop gnome-icon-theme-symbolic.pc.in as source: it's incuded in
  the tarball again.
- Drop libtool BuildRequires and call to autoreconf: no longer any
  need to boostrap, as the tarball is working.
* Tue Mar 26 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + view-more wasn't clear when used.
  + goa-panel sizing.
  + semi-starred status (bgo#689098).
- Add gnome-icon-theme-symbolic.pc.in as source file. It is missing
  in the 3.8.0 tarball.
- Add libtool BuildRequires and call to autoreconf: the 3.8.0
  tarball is somewhat broken.
* Wed Mar  6 2013 dimstar@opensuse.org
- Update to version 3.7.91:
  + system failwhale icon.
  + software app icon.
* Wed Feb  6 2013 dimstar@opensuse.org
- Update to version 3.7.5:
  + New settings panel icons.
* Sat Jan 19 2013 zaitor@opensuse.org
- Update to version 3.7.4.1:
  + Really include .pc file.
- Changes from version 3.7.4:
  + accessories-disctionary.
  + whitespace on fullscreen.
  + view-more.
  + wireless-hotspot.
  + tweaks to multidisk.
  + installs a .pc file.
  + search wrapped status.
  + privacy settings.
  + media-flash, media-floppy.
- Drop xz BuildRequires, no longer needed (bnc#697467).
* Wed Nov 14 2012 dimstar@opensuse.org
- Update to version 3.6.2:
  + Separate share and send to.
  + Wireless hotspot.
  + application-rss+xml.
  + Remove success color from battery-full.
* Tue Sep 25 2012 dimstar@opensuse.org
- Update to version 3.6.0:
  + network printer
  + optical media, removable drives
  + text editor
  + find-location metaphor
  + edit-clear-all, list-remove all.
* Thu Aug 23 2012 dimstar@opensuse.org
- Update to version 3.5.90:
  + Alarm clock.
* Wed Aug  8 2012 dimstar@opensuse.org
- Update to version 3.5.5:
  + Some symbolic variants of -extras.
  + Sharper view-grid.
* Tue Jul 17 2012 dimstar@opensuse.org
- Update to version 3.5.4:
  + Centered view grid.
  + user-trash-full for nautilus.
  + xdg folder icons no longer folders.
* Thu Jun  7 2012 dimstar@opensuse.org
- Update to version 3.5.2:
  + Tons of action, emote and status icons
* Tue Mar 27 2012 vuntz@opensuse.org
- Update to version 3.4.0:
  + remove a duplicate icon
  + improve emblem-system-symbolic (bgo#672635)
* Mon Mar 19 2012 zaitor@opensuse.org
- Update to version 3.3.91.1:
  + more fixes to the fill/stroke misrendering.
* Mon Mar  5 2012 vuntz@opensuse.org
- Update to version 3.3.91:
  + numerous additions to category, action and app contexts
  + fix of floating point export issues exposing as a filled
    rectangle
* Tue Jan 10 2012 vuntz@opensuse.org
- Update to version 3.2.2:
  + mail-send, tab-new, user-info and some more
  + addressed more box sizing issues making icons render as filled
    boxes
  + object-select, send to and some additional action icons for
    gnome3 apps
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Tue Oct 18 2011 vuntz@opensuse.org
- Update to version 3.2.1:
  + right to left variants of directional icons
  + telephony status & action icons
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 3.2.0:
  + touchpad and keyboard brightness status icons
  + minor execution fixes
* Thu Sep  1 2011 vuntz@opensuse.org
- Update to version 3.1.90:
  + sync user status icons with g-i-t
  + scale down security level icons
  + dialpad for IP telephony
* Fri Jul 22 2011 vuntz@opensuse.org
- Update to version 3.1.4:
  + channel secure/insecure to replace the security levels
  + updated document-open and text-x-generic
  + object-flip icons
* Wed Apr  6 2011 fcrozat@novell.com
- Update to version 3.0.0:
  + network icon workarounds
  + workgroup icon for NM
* Tue Mar 29 2011 fcrozat@novell.com
- Update to version 2.91.93:
  + encrypted network emblem
- Changes from version 2.91.92:
  + bgo#644770: two more states for NM.
  + can't use gradients due to recoloring
  + brightness export glitch
  + bgo#644770: phone device and network-cellular-connected for NM.
* Fri Feb 25 2011 fcrozat@novell.com
- Update to version 2.91.7:
  + simplified protocol status icons for cellular networks
  + optical media
  + sizing issues
- Changes from version 2.91.6:
  + default emblem
  + gneric package
  + sync emblem
  + bounding box fixes
- Change gtk2-tools BuildRequires to gtk3-tools
- Drop gnome-icon-theme-symbolic-fix-install.patch: fixed upstream.
* Thu Dec 23 2010 vuntz@opensuse.org
- Update to version 2.91.0:
  + proper bouding box sizes
  + microphone levels (bgo#469319)
  + more pronounced disabled state
  + weather icons
  + user status icons
  + xdg folders & other additions
- Add gtk2-tools BuildRequires as configure now looks for
  gtk-update-icon-cache.
- Add gnome-icon-theme-symbolic-fix-install.patch to fix the build.
* Tue Dec 14 2010 vuntz@opensuse.org
- Add gnome-icon-theme BuildRequires (which is already a Requires),
  for directory ownership, to fix build.
* Wed Aug 25 2010 vuntz@opensuse.org
- Add hicolor-icon-theme BuildRequires.
- Use the new %%icon_theme_cache_post/%%icon_theme_cache_postun
  macros in %%post/%%postun.
* Sun Aug 22 2010 badshah400@gmail.com
- Update to upstream 2.31.0
  + many more additions
  + fixes for gtk3 recoloring style-sheet
* Wed Aug 11 2010 vuntz@opensuse.org
- Cleanup packaging a bit before inclusion.
* Wed Aug 11 2010 badshah400@gmail.com
- Initial package (upstream version 2.30).
